# esp32_BNO08x: bno08x_euler_angle_t Struct Reference

Loading...
Searching...
No Matches
bno08x_euler_angle_t Struct Reference

Struct to represent euler angle (units in degrees or rads) More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions

| bno08x_euler_angle_t ()
bno08x_euler_angle_t & | operator= (const bno08x_quat_t &source)
template<typename T >
bno08x_euler_angle_t & | operator*= (T value)

## Public Attributes

float | x
float | y
float | z
BNO08xAccuracy | accuracy
float | rad_accuracy

## Detailed Description

Struct to represent euler angle (units in degrees or rads)

## Constructor & Destructor Documentation

## bno08x_euler_angle_t()

bno08x_euler_angle_t::bno08x_euler_angle_t | ( |  | ) |

inline

## Member Function Documentation

## operator*=()

template<typename T >

bno08x_euler_angle_t & bno08x_euler_angle_t::operator*= | ( | T | value | ) |

inline

## operator=()

bno08x_euler_angle_t & bno08x_euler_angle_t::operator= | ( | const bno08x_quat_t & | source | ) |

inline

## Member Data Documentation

## accuracy

BNO08xAccuracy bno08x_euler_angle_t::accuracy

## rad_accuracy

float bno08x_euler_angle_t::rad_accuracy

## x

float bno08x_euler_angle_t::x

## y

float bno08x_euler_angle_t::y

## z

float bno08x_euler_angle_t::z

The documentation for this struct was generated from the following file:

- include/BNO08xGlobalTypes.hpp